Bug 886881 - [abrt] Settings schema 'org.gnome.evolution.plugin.rss' does not contain a key named 'move-junk'
Summary: [abrt] Settings schema 'org.gnome.evolution.plugin.rss' does not contain a ke...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-rspam
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:709565232d361c61dd7fb8fedb3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 13:19 UTC by Braden McDaniel
Modified: 2014-02-05 23:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:18:24 UTC


Attachments (Terms of Use)
File: backtrace (74.44 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: build_ids (10.77 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: cgroup (130 bytes, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: core_backtrace (4.88 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: dso_list (26.62 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: environ (1.48 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: maps (130.07 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: open_fds (2.26 KB, text/plain)
2012-12-13 13:19 UTC, Braden McDaniel
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2012-12-13 13:20 UTC, Braden McDaniel
no flags Details
File: var_log_messages (2.07 KB, text/plain)
2012-12-13 13:20 UTC, Braden McDaniel
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 699451 None None None Never

Description Braden McDaniel 2012-12-13 13:19:37 UTC
Description of problem:
Seemed to occur when reporting spam with evolution-rspam.

Version-Release number of selected component:
evolution-3.6.2-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        evolution
crash_function: g_settings_schema_get_value
executable:     /usr/bin/evolution
kernel:         3.6.9-4.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_settings_schema_get_value at gsettingsschema.c:640
 #3 g_settings_schema_key_init at gsettingsschema.c:751
 #4 g_settings_get_value at gsettings.c:1079
 #5 g_settings_get_boolean at gsettings.c:1785
 #6 org_gnome_sa_rspam at rspam.c:912
 #11 _gtk_action_emit_activate at gtkaction.c:801
 #21 gtk_widget_activate at gtkwidget.c:6332
 #22 gtk_menu_shell_activate_item at gtkmenushell.c:1429
 #23 gtk_menu_shell_button_release at gtkmenushell.c:830
 #24 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130

Comment 1 Braden McDaniel 2012-12-13 13:19:40 UTC
Created attachment 662954 [details]
File: backtrace

Comment 2 Braden McDaniel 2012-12-13 13:19:42 UTC
Created attachment 662955 [details]
File: build_ids

Comment 3 Braden McDaniel 2012-12-13 13:19:45 UTC
Created attachment 662956 [details]
File: cgroup

Comment 4 Braden McDaniel 2012-12-13 13:19:47 UTC
Created attachment 662957 [details]
File: core_backtrace

Comment 5 Braden McDaniel 2012-12-13 13:19:48 UTC
Created attachment 662958 [details]
File: dso_list

Comment 6 Braden McDaniel 2012-12-13 13:19:50 UTC
Created attachment 662959 [details]
File: environ

Comment 7 Braden McDaniel 2012-12-13 13:19:52 UTC
Created attachment 662960 [details]
File: limits

Comment 8 Braden McDaniel 2012-12-13 13:19:56 UTC
Created attachment 662961 [details]
File: maps

Comment 9 Braden McDaniel 2012-12-13 13:19:57 UTC
Created attachment 662962 [details]
File: open_fds

Comment 10 Braden McDaniel 2012-12-13 13:20:01 UTC
Created attachment 662963 [details]
File: proc_pid_status

Comment 11 Braden McDaniel 2012-12-13 13:20:15 UTC
Created attachment 662964 [details]
File: var_log_messages

Comment 12 Milan Crha 2012-12-14 17:51:35 UTC
Thanks for a bug report. Your comment is correct. Evolution crashes in evolution-rspam code. It claims:
>   Settings schema 'org.gnome.evolution.plugin.rss' does not contain
>   a key named 'move-junk'

I'm moving this to evolution-rspam.

Comment 13 Braden McDaniel 2012-12-21 07:19:29 UTC
Crash on startup.

backtrace_rating: 4
Package: evolution-3.6.2-3.fc18
OS Release: Fedora release 18 (Spherical Cow)

Comment 14 Sergio Monteiro Basto 2013-05-01 23:53:03 UTC
Hi , 
could you check bug #887246 , have something similar

Comment 15 Milan Crha 2013-05-02 10:22:29 UTC
There is used both 
   evolution-rspam-0.6.0-1.fc18.x86_64
   evolution-rss-1:0.3.92-1.fc18.x86_64
which seem to have the same GSettings *setting; defined as a global non-static variable, thus I guess what happened here:

> >   Settings schema 'org.gnome.evolution.plugin.rss' does not contain
> >   a key named 'move-junk'

is that the 'settings' variable from evolution-rss plugin was picked instead of the one in evolution-rspam. Defining them 'static' may help to prevent of this in the future.

I moved this upstream [1], to evolution-rss' bugzilla. Please see [1] for any further updates. I'll provide an interim workaround for Fedora too.

https://bugzilla.gnome.org/show_bug.cgi?id=699451

Comment 16 Fedora Update System 2013-05-02 13:08:40 UTC
evolution-rss-0.3.92-2.fc18,evolution-rspam-0.6.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.92-2.fc18,evolution-rspam-0.6.0-3.fc18

Comment 17 Fedora Update System 2013-05-02 13:10:08 UTC
evolution-rss-0.3.93-3.fc19,evolution-rspam-0.6.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.93-3.fc19,evolution-rspam-0.6.0-5.fc19

Comment 18 Fedora Update System 2013-05-09 18:50:57 UTC
evolution-rss-0.3.93-3.fc19, evolution-rspam-0.6.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-05-11 00:27:10 UTC
evolution-rss-0.3.92-2.fc18, evolution-rspam-0.6.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora End Of Life 2013-12-21 15:42:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2014-02-05 23:18:24 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.